(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-activity-setting-setting-module~pages-goods-goods-details-goods-details-module~pages-g~08f5d3ff"],{

/***/ "./src/app/providers/ThirdParty.ts":
/*!*****************************************!*\
  !*** ./src/app/providers/ThirdParty.ts ***!
  \*****************************************/
/*! exports provided: ThirdParty */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ThirdParty", function() { return ThirdParty; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var rxjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! rxjs */ "./node_modules/rxjs/_esm5/index.js");
/* harmony import */ var _Logger__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Logger */ "./src/app/providers/Logger.ts");
/* harmony import */ var _ionic_native_http_ngx__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @ionic-native/http/ngx */ "./node_modules/@ionic-native/http/ngx/index.js");
/* harmony import */ var _Utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Utils */ "./src/app/providers/Utils.ts");






var ThirdParty = /** @class */ (function () {
    function ThirdParty(http) {
        this.http = http;
    }
    ;
    /**
     * 检查是否安装qq
     * @param clientType     QQ:  0, // QQ 手机客户端   TIM: 1 // TIM 客户端
     */
    ThirdParty.prototype.checkClientInstalledQq = function (clientType) {
        if (clientType === void 0) { clientType = '0'; }
        console.log('------------');
        var args = {
            client: clientType,
        };
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            QQSDK.checkClientInstalled(function (res) {
                observer.next(true);
            }, function (err) {
                observer.error(false);
            }, args);
        });
    };
    /**
     * qq登录
     * @param clientType     QQ:  0, // QQ 手机客户端   TIM: 1 // TIM 客户端
     */
    ThirdParty.prototype.qqLogin = function (clientType) {
        if (clientType === void 0) { clientType = QQSDK.ClientType.QQ; }
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            QQSDK.ssoLogin(function (result) {
                console.log('result==', result);
                observer.next(result);
            }, function (error) {
                console.log('error==', error);
                observer.error(error);
            });
        });
    };
    /**
     * qq分享
     * @param clientType     QQ:  0, // QQ 手机客户端   TIM: 1 // TIM 客户端
     */
    ThirdParty.prototype.qqShare = function (clientType, data) {
        if (clientType === void 0) { clientType = QQSDK.ClientType.QQ; }
        if (data === void 0) { data = {}; }
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            var options = {
                client: 0,
                scene: clientType,
                title: data.merchName,
                url: data.webpageUrl,
                image: data.procImg,
                // image:'http://file02.16sucai.com/d/file/2015/0128/8b0f093a8edea9f7e7458406f19098af.jpg',
                // image:'http://pic.90sjimg.com/design/00/23/31/57/5a44700a68415.png',
                description: data.procName + '价格' + data.procCashPrice,
            };
            var args = {
                client: 0,
            };
            QQSDK.checkClientInstalled(function (res) {
                QQSDK.shareNews(function (success) {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('qq分享成功', '#10dc60', 'options:', JSON.stringify(success));
                    observer.next(true);
                }, function (failed) {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('qq分享失败', '#f04141', 'options:', failed);
                    observer.next(false);
                }, options);
            }, function (err) {
                observer.error(false);
            }, args);
        });
    };
    /**
        * 检查是否安装微信
        * @return  true 安装  false 未安装
        */
    ThirdParty.prototype.checkClientInstalledWx = function () {
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            Wechat.isInstalled(function (res) {
                if (res) {
                    observer.next(true);
                }
                else {
                    observer.error(false);
                }
            }, function (err) {
                observer.error(false);
            });
        });
    };
    /**
     * 微信分享
     * @param sceneType    SESSION:  0, // 聊天界面  TIMELINE: 1, // 朋友圈 FAVORITE: 2  // 收藏
     */
    ThirdParty.prototype.wechatShare = function (sceneType, data) {
        var _this = this;
        if (data === void 0) { data = {}; }
        _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('请求微信前', '#3880ff', 'options:', JSON.stringify(data));
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            _this.http.get(data.procImg, {}, {}).then(function (succeed) {
                _Utils__WEBPACK_IMPORTED_MODULE_5__["Utils"].blobToDataURI(succeed.data, function (callback) {
                    console.log('callback====', callback);
                    if (succeed.status == 200) {
                        Wechat.isInstalled(function (res) {
                            if (res) {
                                data.procImg = callback;
                                _this.wechatShareUtils(data, sceneType, observer);
                            }
                            else {
                                _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信未安装', '#f04141', 'options:', JSON.stringify(res));
                                observer.error(false);
                            }
                        }, function (err) {
                            _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信未安装', '#f04141', 'options:', JSON.stringify(err));
                            observer.error(false);
                        });
                    }
                    else {
                        _this.wechatShareUtils(data, sceneType, observer);
                    }
                });
            }).catch(function (err) {
                Wechat.isInstalled(function (res) {
                    if (res) {
                        _this.wechatShareUtils(data, sceneType, observer);
                    }
                    else {
                        _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信未安装', '#f04141', 'options:', JSON.stringify(res));
                        observer.error(false);
                    }
                }, function (err) {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信未安装', '#f04141', 'options:', JSON.stringify(err));
                    observer.error(false);
                });
            });
        });
    };
    ThirdParty.prototype.wechatShareUtils = function (data, sceneType, observer) {
        Wechat.share({
            message: {
                title: data.merchName,
                description: data.procName,
                mediaTagName: data.procName + '价格' + data.procCashPrice,
                thumb: data.procImg,
                media: {
                    type: Wechat.Type.WEBPAGE,
                    webpageUrl: data.webpageUrl //后续请求应该加商品id
                }
            },
            scene: sceneType // share to Timeline
        }, function (success) {
            _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信分享成功', '#10dc60', 'options:', JSON.stringify(success));
            observer.next(true);
        }, function (failed) {
            _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信分享失败', '#f04141', 'options:', failed);
            observer.next(false);
        });
    };
    /**
     * 微信登录
     * @return  res
     */
    ThirdParty.prototype.wxLogin = function () {
        var scope = "snsapi_userinfo", state = "_" + (+new Date());
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            Wechat.auth(scope, state, function (res) {
                observer.next(res);
            }, function (err) {
                observer.error(err);
            });
        });
    };
    /**
     *
     * @param body 微信支付参数
     */
    ThirdParty.prototype.appWechat = function (body) {
        var wxRes = JSON.parse(body);
        var wx = {
            partnerid: wxRes.partnerid,
            prepayid: wxRes.prepayid,
            noncestr: wxRes.noncestr,
            timestamp: wxRes.timestamp,
            sign: wxRes.sign,
        };
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            Wechat.sendPaymentRequest(wx, function (result) {
                _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信支付成功', '#10dc60', 'options:', result);
                observer.next(result);
            }, function (error) {
                _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('微信支付失败', '#f04141', 'options:', error);
                observer.error(error);
            });
        });
    };
    /**
     *
     * @param body 支付宝支付参数
     */
    ThirdParty.prototype.appAlipay = function (body) {
        console.log(Alipay);
        return rxjs__WEBPACK_IMPORTED_MODULE_2__["Observable"].create(function (observer) {
            Alipay.pay(body, function (success) {
                if (success.resultStatus == '9000') {
                    if (JSON.parse(success.result).alipay_trade_app_pay_response.code == '10000') {
                        _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付成功', '#10dc60', 'options:', success);
                        observer.next(success);
                    }
                    else {
                        _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付失败', '#f04141', 'options:', success);
                        observer.error(success);
                    }
                }
                else if (success.resultStatus == '10000') {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付成功', '#10dc60', 'options:', success);
                    observer.next(success);
                }
                else if (success.resultStatus == '6001') {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付失败', '#f04141', 'options:', success);
                    observer.error(success);
                }
                else {
                    _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付失败', '#f04141', 'options:', success);
                    observer.error(success);
                }
            }, function (error) {
                _Logger__WEBPACK_IMPORTED_MODULE_3__["Logger"].log('支付宝支付失败', '#f04141', 'options:', error);
                observer.error(error);
            });
        });
    };
    ThirdParty.ctorParameters = function () { return [
        { type: _ionic_native_http_ngx__WEBPACK_IMPORTED_MODULE_4__["HTTP"] }
    ]; };
    ThirdParty = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_ionic_native_http_ngx__WEBPACK_IMPORTED_MODULE_4__["HTTP"]])
    ], ThirdParty);
    return ThirdParty;
}());



/***/ }),

/***/ "./src/app/providers/toast/toast.service.ts":
/*!**************************************************!*\
  !*** ./src/app/providers/toast/toast.service.ts ***!
  \**************************************************/
/*! exports provided: ToastService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ToastService", function() { return ToastService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");



var ToastService = /** @class */ (function () {
    function ToastService(toastController) {
        this.toastController = toastController;
    }
    ToastService.prototype.showTop = function (str) {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.toastController.create({
                            message: str,
                            position: 'top',
                            cssClass: 'dangers'
                            // duration: 2000
                        })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    ToastService.prototype.show = function (str) {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.toastController.create({
                            message: str,
                            position: 'middle',
                            duration: 2000,
                            cssClass: 'dangers',
                            color: 'light'
                        })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    ToastService.prototype.presentToast = function () {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.toastController.create({
                            message: 'Your settings have been saved.',
                            duration: 2000
                        })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    ToastService.prototype.presentToastWithOptions = function () {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.toastController.create({
                            header: 'Toast header',
                            message: 'Click to Close',
                            position: 'top',
                        })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    ToastService.ctorParameters = function () { return [
        { type: _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ToastController"] }
    ]; };
    ToastService = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ToastController"]])
    ], ToastService);
    return ToastService;
}());



/***/ })

}]);
//# sourceMappingURL=default~pages-activity-setting-setting-module~pages-goods-goods-details-goods-details-module~pages-g~08f5d3ff-es5.js.map